<?php

use Illuminate\Database\Migrations\Migration;

class CreateKeysTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: keys
         */
        Schema::create('keys', function ($table) {
            $table->increments('id');
            $table->varchar('"id"')->nullable();
            $table->varchar('"name"')->nullable();
            $table->varchar('"email"')->nullable();
            $table->varchar('"password"')->nullable();
            $table->varchar('"remember_token"')->nullable();
            $table->datetime('"created_at"')->nullable();
            $table->datetime('"updated_at"')->nullable();
            $table->integer('"role_id"')->nullable();
            $table->varchar('"mobile"')->nullable();
            $table->varchar('"photo"')->nullable();
            $table->varchar('"status"')->nullable();
            $table->varchar('"address"')->nullable();
            $table->varchar('"city"')->nullable();
            $table->varchar('"country"')->nullable();
            $table->varchar('"longitude"')->nullable();
            $table->varchar('"latitude"')->nullable();
            $table->varchar('"radius"')->nullable();
            $table->text('"extra"')->nullable();
            $table->key('primary')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('keys');
    }
}
