@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('student::key.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('student::key.names') !!}</small>
@stop

@section('title')
{!! trans('student::key.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('student::key.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='student-key-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="student-key-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('student::key.label.&quot;id&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;name&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;email&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;password&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;remember_token&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;created_at&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;updated_at&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;role_id&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;mobile&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;photo&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;status&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;address&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;city&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;country&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;longitude&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;latitude&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;radius&quot;')!!}</th>
                    <th>{!! trans('student::key.label.&quot;extra&quot;')!!}</th>
                    <th>{!! trans('student::key.label.primary')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#student-key-entry', '{!!URL::to('admin/student/key/0')!!}');
    oTable = $('#student-key-list').dataTable( {
        "ajax": '{!! URL::to('/admin/student/key') !!}',
        "columns": [
            {data :'"id"'},
                    {data :'"name"'},
                    {data :'"email"'},
                    {data :'"password"'},
                    {data :'"remember_token"'},
                    {data :'"created_at"'},
                    {data :'"updated_at"'},
                    {data :'"role_id"'},
                    {data :'"mobile"'},
                    {data :'"photo"'},
                    {data :'"status"'},
                    {data :'"address"'},
                    {data :'"city"'},
                    {data :'"country"'},
                    {data :'"longitude"'},
                    {data :'"latitude"'},
                    {data :'"radius"'},
                    {data :'"extra"'},
                    {data :'primary'},
        ],
        "pageLength": 50
    });

    $('#student-key-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#student-key-list').DataTable().row( this ).data();

        $('#student-key-entry').load('{!!URL::to('admin/student/key')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

